varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

void main() {
	mediump vec4 color = texture2D(u_texture, v_texCoord);
	gl_FragColor = vec4(v_color.r*color.r, v_color.g*color.g, v_color.b*color.b, v_color.a);
}
